Package com.scriptel.proscript

## Class ScreenRegionInfo

- java.lang.Object
- - com.scriptel.proscript.ScreenRegionInfo

-     public class ScreenRegionInfo
      extends java.lang.Object

  This class represents information about a region saved in the device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getButtonCaptionLength()` | Gets the caption length for a Button Region.
    `int` | `getCharacterHeight()` | Gets the character height for text Regions.
    `int` | `getCharacterWidth()` | Gets the character width for text Regions.
    `int` | `getRegionCount()` | Gets the number of Region storable on the device.
    `int` | `getRegionsPerScreen()` | Gets the number of Regions that can placed onto a Screen.
    `int[]` | `getReserved()` | Reserved for future use.
    `int` | `getResourceCount()` | Gets the number of Resources that can be stored on the device.
    `int` | `getScreenCount()` | Gets the number of Screens storable on the device.
    `int` | `getTextRegionLength()` | Gets the maximum size of a text Region.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getScreenCount

          public int getScreenCount()

      Gets the number of Screens storable on the device.
      Returns:
        number of Screens

    - #### getRegionCount

          public int getRegionCount()

      Gets the number of Region storable on the device.
      Returns:
        number of Regions

    - #### getRegionsPerScreen

          public int getRegionsPerScreen()

      Gets the number of Regions that can placed onto a Screen.
      Returns:
        number of Regions per Screen

    - #### getResourceCount

          public int getResourceCount()

      Gets the number of Resources that can be stored on the device.
      Returns:
        number of Resources

    - #### getButtonCaptionLength

          public int getButtonCaptionLength()

      Gets the caption length for a Button Region.
      Returns:
        button caption length

    - #### getTextRegionLength

          public int getTextRegionLength()

      Gets the maximum size of a text Region.
      Returns:
        text region size

    - #### getCharacterHeight

          public int getCharacterHeight()

      Gets the character height for text Regions.
      Returns:
        character height

    - #### getCharacterWidth

          public int getCharacterWidth()

      Gets the character width for text Regions.
      Returns:
        character width

    - #### getReserved

          public int[] getReserved()

      Reserved for future use.
      Returns:
        the reserved